Name:		fbset
Version:	2.1
Release:	%mkrel 18
Summary:	Framebuffer utilities for changing video modes
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://users.telenet.be/geertu/Linux/fbdev/
Source:		http://users.telenet.be/geertu/Linux/fbdev/fbset-%{version}.tar.gz
Patch:		fbset-2.0-pre-19981028.patch
Patch2:		fbset-2.1-mdkconf.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	bzip2

%description
fbset is a utility for querying and changing video modes of fbcon consoles.

%prep
%setup -q
%patch -p1
%patch2 -p1 -b .mdkconf

perl -pi -e 's|geometry 10224 768 10224 768 8|geometry 1024 768 1024 768 8|' etc/fb.modes.ATI
perl -pi -e 's|geometry 1024 1024 1024 1024 8|geometry 1280 1024 1280 1024 8|' etc/fb.modes.ATI

%build
%make_build CFLAGS="%{optflags}"

%install
#make install PREFIX=$RPM_BUILD_ROOT
install %{name} -D $RPM_BUILD_ROOT%{_sbindir}/%{name}
bzip2 %{name}.8 fb.modes.5
install %{name}.8.bz2 -D $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8.bz2
install fb.modes.5.bz2 -D $RPM_BUILD_ROOT%{_mandir}/man5/fb.modes.bz2

## It's a useable default not perfect but ..
install etc/fb.modes.ATI -D $RPM_BUILD_ROOT%{_sysconfdir}/fb.modes

%files
#/dev/*
%{_sbindir}/%{name}
%{_mandir}/man[58]/*
%config(noreplace) %{_sysconfdir}/fb.modes


%changelog
* Sun May 05 2019 tex 2.1-18pclos2019
- new
